import 'package:get/get.dart';

class LabImportState {
  // title
  final _title = "".obs;
  set title(value) => _title.value = value;
  get title => _title.value;

  //导入源列表更新中
  final _isSourceListUpdating = false.obs;
  set isSourceListUpdating(value) => _isSourceListUpdating.value = value;
  get isSourceListUpdating => _isSourceListUpdating.value;

  // 导入目标列表更新中
  final _isTargetListUpdating = false.obs;
  set isTargetListUpdating(value) => _isTargetListUpdating.value = value;
  get isTargetListUpdating => _isTargetListUpdating.value;

  //列表刷新中
  final _isTableRefreshing = false.obs;
  set isTableRefreshing(value) => _isTableRefreshing.value = value;
  get isTableRefreshing => _isTableRefreshing.value;
}
